<?php
/**
 * The template part for displaying results in search pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Wembley
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
			<a href="<?php echo esc_url( get_permalink() ) ; ?>">
				<?php if ( has_post_format( 'video' ) ) {
				    $vidpost =wembley_get_field('post_video'); 
					echo do_shortcode( $vidpost );    
				} 
				elseif ( has_post_format( 'audio' ) ) {
					    $audpost =wembley_get_field('post_audio'); 
						echo do_shortcode( $audpost ); 
					}
					elseif ( has_post_format( 'gallery' ) ) {
						    $gallpost =wembley_get_field('post_gallery'); 
							echo do_shortcode( $gallpost ); 
						}
						elseif ( has_post_format( 'quote' ) ) {
							    $quotepost =wembley_get_field('post_quote'); ?>
								<blockquote class="quote">
									<q><?php echo esc_attr(strip_tags(get_field('the_quote'))); ?></q>
									<cite><?php echo esc_attr(get_field('quote_author')); ?></cite>
								</blockquote>
								<?php
							}
				else {
				    the_post_thumbnail('lv-blog', array('class' => 'responsive'));
				}
				?>
				
				
			
		</a>
		<span class="post-info">
			<?php wembley_posted_on(); ?>
		</span><!-- .entry-meta -->
		<?php endif; ?>
		
	</header><!-- .entry-header -->

</article><!-- #post-## -->
