<?php
/**
 * @package Wembley
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
	<aside class="aside">
		<a href="#" class="date"><time datetime="2014-11-21"><?php echo esc_html( get_the_date() ); ?></time></a>
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<span class="author"><?php _e( 'Posted by: ', 'wembley' ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )?>"><?php echo esc_html( get_the_author() ) ?></a></span>
		<?php echo get_avatar( get_the_author_meta( 'ID' ), 64 ); ?>
	</aside>
	<div class="post-content">
	
		

		<?php if ( 'post' == get_post_type() ) : ?>
			<a href="<?php echo esc_url( get_permalink() ) ; ?>">
			<?php if ( has_post_format( 'video' ) ) {
			    $vidpost = wembley_get_field('post_video'); 
				echo do_shortcode( $vidpost );    
			} 
			elseif ( has_post_format( 'audio' ) ) {
				    $audpost = wembley_get_field('post_audio'); 
					echo do_shortcode( $audpost ); 
				}
				elseif ( has_post_format( 'gallery' ) ) {
					    $gallpost = wembley_get_field('post_gallery'); 
						echo do_shortcode( $gallpost ); 
					}
					elseif ( has_post_format( 'quote' ) ) {
						    $quotepost = wembley_get_field('post_quote'); ?>
							<blockquote class="quote">
								<q><?php echo esc_attr(strip_tags(wembley_get_field('the_quote'))); ?></q>
								<cite><?php echo esc_attr(wembley_get_field('quote_author')); ?></cite>
							</blockquote>
							<?php
						}
			else {
			    the_post_thumbnail('lv-blog', array('class' => 'responsive'));
			}
			?>
		</a>
		<span class="post-info">
			<?php wembley_posted_on(); ?>
		</span><!-- .entry-meta -->
		<?php endif; ?>
	
  
	<div class="entry-content">
		<?php
			/* translators: %s: Name of current post */
			the_excerpt( sprintf(
				__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'wembley' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'wembley' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
</div>
<?php if ( is_singular() ) { ?>
	<footer class="entry-footer">
		<?php wembley_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	<?php } ?>
</article><!-- #post-## -->