<?php
/**
 * Jetpack Compatibility File
 * See: http://jetpack.me/
 *
 * @package Wembley
 */

/**
 * Add theme support for Infinite Scroll.
 * See: http://jetpack.me/support/infinite-scroll/
 */

function wembley_render_infinite_scroll() {
    while ( have_posts() ) : the_post();
       if ( get_theme_mod( 'blog_layout' ) == 'masonry' || get_theme_mod( 'blog_layout' ) == 'masonry_side')  :
            get_template_part( 'content', 'masonry' );
        else :
            get_template_part( 'content', 'get_post_format()' );
        endif;
    endwhile;
}

function wembley_jetpack_setup() {
	add_theme_support( 'infinite-scroll', array(
		'container' => 'infinite',
		'type'      => 'scroll',
		'wrapper' => false,
		'footer' => 'page',
		'render'    => 'wembley_render_infinite_scroll',
	) );
	
	add_theme_support( 'jetpack-portfolio' );
	
}
add_action( 'after_setup_theme', 'wembley_jetpack_setup' );

function filter_jetpack_infinite_scroll_js_settings( $settings ) {
    $settings['text'] = __( 'Load more...', 'wembley' );
 
    return $settings;
}
add_filter( 'infinite_scroll_js_settings', 'filter_jetpack_infinite_scroll_js_settings' );


/*
 * Auto activate Jetpack modules.

function activate_jetpack_modules( $modules ){
    $modules = array(
        'carousel','custom-content-types','contact-form','infinite-scroll','subscriptions','widgets','site-icon','related-posts','sharedaddy',
    );
    return $modules;
}
add_filter( 'option_jetpack_active_modules', 'activate_jetpack_modules' );*/