/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( e ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			e( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			e( '.site-description' ).text( to );
		} );
	} );
	// Highlight color.
    wp.customize("highlight_color", function (t) {
        t.bind(function (t) {
            e("#sidebar .widget h3:after,.aside h2:after,.masonry .blog .cat-list,.wb-caption, .tab-column .tabset a,#filters li a,.services-section .service-column.active,.green-block,.about-section,.about-section .btn,.about-section,.morphsearch:after,.accordion .opener_ac,.effect-content ul li:first-child a").css("background", t);
            e("p a,.logo a,.twocolumns h2 a:hover,.twocolumns h3 a:hover,#sidebar .widget a:focus,#sidebar .widget ul li a:hover span,.tags a:hover,.pagination ul li.active a,.effect-winston a:focus,.services-section .icon,.icon-like:before").css("color", t);
			e(".main-nav .button--line.active .morph-shape svg").css("fill", t);
			e(".pagination ul li.active a,.services-section .service-column.active .icon").css("border-color", t);
            e("input[type='submit'],.btn,.pagination ul a,#infinite-handle span,.accordion .opener_ac,.social-networks a,.services-section .service-column,#infinite #infinite-handle span").hover(function () {
                e(this).css("background-color", t)
            }, function () {
                e(this).css("background-color", "")
            });
            e(".post-info .date,.commentlist .author,.comment-block .meta .date,#sidebar .widget a,.post .post-info a,.post .aside .date,.aside h2 a,.aside .author a,.controls a,.effect-winston a").hover(function () {
                e(this).css("color", t)
            }, function () {
                e(this).css("color", "")
            });
            
        })
    });
} )( jQuery );