<?php
if (have_rows('pb_content')):
	// loop through the rows of Data
	while (have_rows('pb_content')):
		the_row();
    
		if (get_row_layout() == 'block_content'):
			?>
				<section class="white-section br_editor">
				<div class="center-holder">
					<?php echo get_sub_field('editor_content'); ?>
				</div>
			</section>
	      <?php
		  
		   // COLUMNS
		  
  		elseif (get_row_layout() == 'column_content'):if (get_sub_field('columns')):
  			?>
  				<section class="white-section br_editor">
  				<div class="center-holder wb-cols">
						<?php 	while (has_sub_field('columns')): ?>
							<div class="wb-col">
  					<?php echo get_sub_field('editor_columns'); ?>
				</div>
					<?php endwhile;
					endif; ?>
  				</div>
  			</section>
  	      <?php
		  
		 // RATING
		  
  		elseif (get_row_layout() == 'rating'):if (get_sub_field('bullet_point')):
  			
			$rating_value = get_sub_field('review');
			$maximum_value = get_sub_field('max_value');
			$pb_color = get_theme_mod('highlight_color');
			?>
  			<div class="review-wrapper"><div class="frame"><blockquote class="mark">
  						<q>
							<ul>
						<?php 	while (has_sub_field('bullet_point')): ?>
							
								<li>
									<i class="fa <?php echo esc_attr(get_sub_field('bullet')); ?>"> </i> <?php echo esc_attr(get_sub_field('bullet_text')); ?>
								</li>
							
							<?php endwhile;
							endif; ?>
							</ul>
							<div id="wb-review" class="wb-review" data-dimension="170" data-text="<?php echo esc_attr($rating_value); ?>" data-info="" data-width="30" data-fontsize="38" data-fgcolor="<?php echo $pb_color; ?>" data-bgcolor="#eee" data-total="<?php echo esc_attr($maximum_value); ?>" data-part="<?php echo esc_attr($rating_value); ?>"></div>
  </q>
</blockquote></div></div>
  	      <?php
		
		// FEATURES

		elseif (get_row_layout() == 'features_content'):if (get_sub_field('feature')): ?>
		<section class="services-section">
			<div class="center-holder">
				<ul class="services-block">
					<?php
					$i = 0;
					while (has_sub_field('feature')): ?>
					<li class="service-column wow fadeIn" data-wow-delay="<?php echo esc_attr(($i++)) /6  ?>s">
						<?php if (get_sub_field('link')): ?>
						<a href="<?php
								echo esc_attr(get_sub_field('link')); ?>">
								<?php endif; ?>
								<span class="icon pe-7s-<?php
						echo esc_attr(get_sub_field('feature_icon')); ?> wow fadeIn"></span>
						<span class="service-text">
							<h1><?php
								echo esc_attr(get_sub_field('title')); ?></h1>
								<?php if (get_sub_field('link')): ?>
								</a>
							<?php endif; ?>
								<p><?php
									echo esc_attr(get_sub_field('text')); ?></p>
								</span>
							</li>
						
							<?php
							$i++;
						endwhile; ?>
						<?php
					endif; ?>
				</ul>
			</div>
		</section>
		
					<?php
					
			// SPLIT BANNER
					
		elseif (get_row_layout() == 'banner_content'):
			$image       = get_sub_field('image');
			$title       = get_sub_field('title');
			$content     = get_sub_field('content');
			$link        = get_sub_field('button_link');
			$button_text = get_sub_field('button_text');
			?>
			<section class="section about-section">
				<div class="visual" style="background-image:url(<?php
									echo esc_attr($image);?>);"></div>
				<div class="descr">
					<div class="box">
						<h2><?php
							echo esc_attr($title); ?></h2>
						<p><?php
								echo wp_kses_post($content); ?></p>
						<footer>
							<?php
							if (get_sub_field('button_link')) { ?>
								<div class="button-holder">
									<a href="<?php
									echo esc_url($link); ?>" class="wow fadeIn btn"><?php
									echo esc_attr($button_text); ?></a>
								</div>
								<?php
							} ?>
						</footer>
					</div>
				</div>
			</section>
					
							<?php
							
							// PARALLAX
							
						elseif (get_row_layout() == 'parallax_content'): 
				          if (in_array('left', get_sub_field('direction'))) { ?>
								
							<section class="section ideas-section" style="background-color:<?php
					echo wembley_sub_field_escaped('background_color');?>">
								<div class="holder">
									<div class="alignright">
										<div class="frame">
											<h2><?php
										echo esc_attr(get_sub_field('title')); ?></h2>
											<?php
										echo wp_kses_post(get_sub_field('text')); ?>
										</div>
									</div>
									<div class="image image01">
										<div class="parallax-holder" style="background-image:url('<?php
					echo esc_url(get_sub_field('image')); ?>');background-repeat:no-repeat">&nbsp;</div>
									</div>
								</div>
							</section>
							<?php } else { ?>
							<section class="section things-section" style="background-color:<?php
					echo get_sub_field('background_color');?>">
								<div class="holder">
									<div class="alignleft">
										<div class="frame">
											<h2><?php
										echo esc_attr(get_sub_field('title')); ?></h2>
											<?php
										echo wp_kses_post(get_sub_field('text')); ?>
										</div>
									</div>
									<div class="image image02">
										<div class="parallax-holder right" style="background-image:url('<?php
					echo esc_attr(get_sub_field('image')); ?>');background-repeat:no-repeat">&nbsp;</div>
									</div>
								</div>
							</section>
							
											<?php } ?>
											
											<?php
											
											
											// CASE STUDY
							
										elseif (get_row_layout() == 'case_content'): 
											?>
								            <div class="section red-shoes" style="background-image:url('<?php
					echo esc_attr(get_sub_field('image')); ?>');background-repeat:no-repeat">
								                <div class="holder">
								                    <div class="frame">
														<a href="<?php
					echo esc_url(get_sub_field('button_link')); ?>">
								                        <div class="text-block wow fadeIn">
								                            <h1><?php
					echo esc_attr(get_sub_field('title')); ?></h1>

								                            <?php
					echo wp_kses_post(get_sub_field('content')); ?>
								                        </div>
													</a>
								                    </div>
								                </div>
								            </div>
											
															<?php
															
															// SUBTEXT
							
														elseif (get_row_layout() == 'subtext_content'): 
															?>
														   	<section class="intro">
														   	<header>
														   	<h2><?php echo esc_attr(get_sub_field('title')); ?></h2>
														   	<?php echo wp_kses_post(get_sub_field('sub_text')); ?>
														   	</header>
														   </section>
											
																			<?php
															
															// ICON BANNER
							
														elseif (get_row_layout() == 'icons_content'):if (get_sub_field('icon_box')): ?>
															
													        <section class="section icons-section">
													          <div class="holder"> 
															   <ul>
											  					<?php 
																$i = 0;
											  					while (has_sub_field('icon_box')): ?>
																 <li class="fadeIn">
													                <span class="ico pe-7s-<?php
					echo esc_attr(get_sub_field('icon')); ?>">
													                </span>
													                <span class="text">
																	  <?php
																	  					echo esc_attr(get_sub_field('text')); ?>
													                </span>
													              </li>
										  							<?php
																	$i++;
										  						endwhile; 
															endif; ?>
																 </ul>
													          </div>
													        </section>
											
																			<?php											
							
		// TEAM
		
		elseif (get_row_layout() == 'team_content'):if (get_sub_field('team_member')): ?>
		      <section class="team-section">
			<ul class="members-list">
				<?php
				while (has_sub_field('team_member')): ?>
				<li class="member-detail">
					<img src="<?php
					echo esc_url(get_sub_field('image')); ?>" alt="image description">
					<div class="hover-box">
						<div class="box">
							<div class="person">
								<span class="name"><?php
									echo esc_attr(get_sub_field('name')); ?></span>
									<span class="job"><?php
										echo esc_attr(get_sub_field('text')); ?></span>
									</div>
									<ul class="social-networks">
										<?php if(get_sub_field('facebook'))
										{ ?>
										<li><a href="<?php
												echo esc_url(get_sub_field('facebook')); ?>"><i class="fa fa-facebook"></i></a></li>
											<?php } ?>
											<?php if(get_sub_field('twitter'))
											{ ?>
											<li> <a href="<?php
												echo esc_url(get_sub_field('twitter')); ?>"><i class="fa fa-twitter"></i></a></li>
												<?php } ?>
												<?php if(get_sub_field('linkedin'))
												{ ?>
												<li><a href="<?php
												echo esc_url(get_sub_field('linkedin')); ?>"><i class="fa fa-linkedin"></i></a></li>
													<?php } ?>
												</ul>
											</div>
										</div>
									</li>
						<?php
					endwhile; ?>
					<?php
				endif; ?>
			</ul>
		</section>
		<?php

			// TABS

			elseif (get_row_layout() == 'tabs_content'):
			$tab = get_sub_field('tab');

			if (get_sub_field('tab')):
				?>
				<section class="white-section">
					<div class="center-holder">
						<div class="tab-column">
							<ul class="tabset">
								<?php $count=1;
								while (has_sub_field('tab')):
									if ($count == 1 ) : $tc= 'active'; else : $tc= '' ; endif  ?>
								<li><a href="#tab<?php
									echo esc_attr($count); ?>" class="<?php echo esc_attr($tc); ?>"><?php
									echo esc_attr(get_sub_field('title')); ?></a></li>
									<?php
									 $count++;
								endwhile; ?>
							</ul>
							<?php
						endif; ?>
						<?php
						if (get_sub_field('tab')): ?>
						<div class="tab-content">
							<?php $count=1;
							while (has_sub_field('tab')):
								 ?>
								 
							
							<div id="tab<?php
									echo esc_attr($count); ?>">
							<div class="tab-text">
								<p><?php
									echo wp_kses_post(get_sub_field('text')); ?></p>
								</div>
							</div>
							<?php
							$count++;
						endwhile; ?>
					</div></div></div></section>
					<?php
				endif; ?>
				<?php
	
	// ACCORDION
	
	elseif (get_row_layout() == 'accordion_content'):if (get_sub_field('ac_tab')): ?>
	<section class="white-section">
		<div class="center-holder">
			<div class="accordion-column">
				<ul class="accordion">
					<?php
					while (has_sub_field('ac_tab')): ?>
					<li>
						<a class="opener_ac" href="#"><?php
							echo esc_attr(get_sub_field('title')); ?></a>
							<div class="slide">
								<p><?php
									echo wp_kses_post(get_sub_field('text')); ?></p>
								</div>
							</li>
							<?php
						endwhile; ?>
					</ul></div></div></section>
					<?php
				endif; ?>
				<?php
		
		// STATS
		
		elseif (get_row_layout() == 'stats_content'):if (get_sub_field('stat')): ?>
		<article class="stat-section">
			<div class="center-holder">
				<ul class="statistic-list">
					<?php
					while (has_sub_field('stat')): ?>
					<li class="wow fadeIn" data-wow-duration="2s">
						<div class="box">
							<span class="value" data-from="0" data-to="<?php
								echo esc_attr(get_sub_field('number')); ?>"
							      data-speed="5000" data-refresh-interval="50">0</span><span class="icon pe-7s-<?php
								echo esc_attr(get_sub_field('stat_icon')); ?>"></span>
							</div>
							<span class="description"><?php
								echo esc_attr(get_sub_field('title')); ?></span>
							</li>
							<?php
						endwhile; ?>
						<?php
					endif; ?>
				</ul>
			</div>
		</article>
		<?php
		
				

endif; ?>
 <?php
endwhile; else :
// no layouts found
endif;
wp_reset_query();